% Tato funkce slouzi sjednoceni rozliseni snimku.

function [obr1,obr2] = rozliseni (obr1, obr2)

[a,b,c]=size(obr1);
[d,e,f]=size(obr2);

if a>d
    obr_pomocny=zeros(a,e,f);
    obr_pomocny(floor(a/2+1)-floor(d/2):floor(a/2+1)+ceil(d/2)-1,:,:)=obr2;
    obr2=obr_pomocny;
    [d,e,f]=size(obr2);
elseif d>a
    obr_pomocny=zeros(d,b,c);
    obr_pomocny(floor(d/2+1)-floor(a/2):floor(d/2+1)+ceil(a/2)-1,:,:)=obr1;
    obr1=obr_pomocny;
    [a,b,c]=size(obr1);
end

if b>e
    obr_pomocny=zeros(d,b,f);
    obr_pomocny(:,floor(b/2+1)-floor(e/2):floor(b/2+1)+ceil(e/2)-1,:)=obr2;
    obr2=obr_pomocny;
elseif e>b
    obr_pomocny=zeros(a,e,c);
    obr_pomocny(:,floor(e/2+1)-floor(b/2):floor(e/2+1)+ceil(b/2)-1,:)=obr1;
    obr1=obr_pomocny;
end
end